Package com.io7m.cedarbridge.schema.compiled

# Class CBTypeExpressionApplication

java.lang.Object
com.io7m.cedarbridge.schema.compiled.CBTypeExpressionApplication

All Implemented Interfaces:
  `CBTypeExpressionType`, `CBTypeExpressionType.CBTypeExprApplicationType`, `Formattable`

public final class CBTypeExpressionApplication extends Object implements CBTypeExpressionType.CBTypeExprApplicationType
An application of type arguments to a named type.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface com.io7m.cedarbridge.schema.compiled.CBTypeExpressionType

  `CBTypeExpressionType.CBTypeExprApplicationType, CBTypeExpressionType.CBTypeExprNamedType, CBTypeExpressionType.CBTypeExprParameterType`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CBTypeExpressionApplication(CBTypeExpressionType.CBTypeExprNamedType inTarget, Collection<? extends CBTypeExpressionType> inArguments)`
  Construct an expression.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<CBTypeExpressionType>`
  `arguments()`
  `CBTypeExpressionType.CBTypeExprNamedType`
  `target()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.io7m.cedarbridge.schema.compiled.CBTypeExpressionType.CBTypeExprApplicationType

  `contains, formatTo`

- ## Constructor Details

  - ### CBTypeExpressionApplication

    public CBTypeExpressionApplication(CBTypeExpressionType.CBTypeExprNamedType inTarget, Collection<? extends CBTypeExpressionType> inArguments)
    Construct an expression.
    Parameters:
      `inTarget` - The target type
      `inArguments` - The type arguments

- ## Method Details

  - ### target

    public CBTypeExpressionType.CBTypeExprNamedType target()
    Specified by:
      `target` in interface `CBTypeExpressionType.CBTypeExprApplicationType`
    Returns:
      The target type

  - ### arguments

    public List<CBTypeExpressionType> arguments()
    Specified by:
      `arguments` in interface `CBTypeExpressionType.CBTypeExprApplicationType`
    Returns:
      The type expression arguments